<template>
    <div>

        <div class="warning-block white-block">
            <b>Внимание!</b><br>
            Вам необходимо <a @click="pay()" class="text-decoration">оплатить</a>
            {{(willBe.totalSumToPayPerMonth || 0)|currency}} рублей до
            {{$dayjs(willBe.payDateEnd).format('DD.MM.YYYY (HH:mm)')}}
        </div>

        <div class="full-table">
            <div class="white-block">
                <div class="row">
                    <div class="column padding">
                        <h3>График платежей</h3>
                    </div>
                </div>
                <div class="loan-header body-sms-form-prolongation">
                    <div class="row top">
                        <div class="columns one">
                            №
                        </div>
                        <div class="columns three center">
                            Оплатить до
                        </div>
                        <div class="columns three center">
                            Обязательный платеж
                        </div>
                        <div class="columns three center">
                            К оплате
                        </div>
                        <div class="columns two center">
                            Статус
                        </div>
                    </div>

                    <!--mobile version-->

                    <div class="row details" v-for="(item, index) in installments" :class="{payed: item.payed}">
                        <div class="columns one">
                            <span class="adaptive">№:</span>
                            {{ index + 1 }}
                        </div>
                        <div class="columns three center" style="font-weight: bold;">
                            <span class="adaptive">Оплатить до:</span>
                            {{ $dayjs(item.payDateEnd).format('DD.MM.YYYY') }}
                        </div>
                        <div class="columns three center">
                            <span class="adaptive">Обязательный платеж:</span>
                            {{ item.totalSumToPayPerMonth|currency}} &#8381;
                        </div>
                        <div class="columns three center" style="font-weight: bold;">
                            <span class="adaptive"> К оплате:</span>
                            {{ item.totalSumLeftToPay|currency}} &#8381;
                        </div>
                        <div class="columns two center" :class="{
                green: item.payed,
                gray: !item.payed,
              }">
                            <span class="adaptive">Статус:</span>
                            {{ item.payed ? 'Оплачено' : 'Не оплачено' }}
                        </div>
                    </div>
                </div>
            </div>
          <div class="white-block footer-form-prolongation">
            <div class="padding row">
              <a class="legal-protection__link link blue" @click="$emit('back')" style="text-align: left">Вернуться к займу</a></div>
          </div>
        </div>
        <div class="mobile-table loan-info white-block">
            <div class="padding">
                <h3>График платежей</h3>
                <div v-for="(item, index) in installments" :key="index" class="installment-payment-details">
                    <div class="row">
                        <div class="columns six dotted-line">
                            <span class="left-block"><b style="color:#000">Платеж №</b></span>
                            <span class="right-block">{{index + 1}}</span>
                        </div>
                        <div class="columns six dotted-line">
                            <span class="left-block">Оплатить до</span>
                            <span class="right-block">{{ $dayjs(item.payDateEnd).format('DD.MM.YYYY')}}</span>
                        </div>
                    </div>

                    <div class="row">
                        <div class="columns six dotted-line">
                            <span class="left-block">Обязательный платеж</span>
                            <span class="right-block">{{ item.totalSumToPayPerMonth|currency}}</span>
                        </div>
                        <div class="columns six dotted-line">
                            <span class="left-block"> К оплате:</span>
                            <span class="right-block">{{ item.totalSumLeftToPay|currency }}</span>
                        </div>
                    </div>

                    <div class="row">
                        <div class="columns six dotted-line">
                            <span class="left-block">Статус:</span>
                            <span class="right-block" :class="{
                green: item.payed,
                gray: !item.payed
              }">{{ item.payed ? 'Оплачено' : 'Не оплачено' }}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'ScheduleOfPayments',
        computed: {
            installments() {
                return this.$pdl.supplementary.installment.paymentsPlan;
            },
            willBe() {
                let data = this.$pdl.supplementary.installment.paymentsPlan
                let sumNotPayed = Object.values(data).map(key => {
                    if (key.payed !== true) {
                        return key
                    }
                })
                let filterOfDataByNotPayed = Object.values(sumNotPayed).filter((key) => {
                    if (key !== undefined) {
                        return key
                    }
                })
                return filterOfDataByNotPayed[0] || {}
            }
        },
        mounted() {
            setTimeout(() => {
                this.$helpers.scroll(this.$el)
            }, 800);//надо дождаться завершения транзикшена
        },
        methods: {
            emit(event) {
                this.$parent.$parent.showInstallment = false
                this.$parent.$parent.emit(event)
            },
            pay() {
                this.$store.commit('SET_PAYMENT', {
                    type: "installment",
                    amount: this.willBe.totalSumToPayPerMonth
                })
                this.$parent.$parent.buttonBlockHandler('pay')
            }
        }
    }
</script>

<style scoped lang="scss">
    .green {
        color: #02cc20 !important;
    }

    .gray {
        color: #6d737b !important;
    }

    .payed {
        color: #6d737b !important;
    }

    .orange {
        color: #f79415 !important;
    }

    .footer-form-prolongation {
      margin-top: -46px;
      border-top-left-radius: 0 !important;
      border-top-right-radius: 0 !important;
    }
    .body-sms-form-prolongation{
      border-bottom-left-radius: 0 !important;
      border-bottom-right-radius: 0 !important;
    }

    .installment-payment-details {

        /*border-bottom: 1px solid lighten(#989898, 35%);*/
        padding-bottom: 20px;
        margin-bottom: 40px;
        &:last-child {
            border-bottom: none;
            margin-bottom: 0;
            padding-bottom: 0;
        }
        & span.header {
            font-weight: 500;
        }

        & .row {
            &:last-child {
                & .columns {
                    border-bottom: none
                }
            }
        }
    }
</style>
